[Up to date documentation](https://shoryuken.me/tuning_fork_clock)

# Tuining Fork Clock

Making a digital clock with a tuning fork as the time keeping element. This project is intended to be super simple and easily adaptable it uses the cheapest tuning fork I could find on ebay which was A 440Hz (C is probably slightly better since it's close to powers of 2).

The goal is to have this running with either with a LED display, VFD or Nixie tubes.

## Progress
* [x] Core clock code
* [x] Date code (see date branch)
* [x] 7segment display
* [x] Binary LED display (see 16f887 branch)
* [ ] VFD display
* [ ] Nixie display
* [ ] Tuning fork driver 

## Building
It's better to have a slow tuning fork which you can speed up in software by adding seconds per hour (including fractional values). To speed up the fork you can shorten the prongs - file the ends down and lengthen them by filing into the base.

### BOM
* 74HC164 2x4 7segment display
* Tuning fork (A440 used here)

### Circuit Diagram
```
        ______
Vss   -|*     |- Vdd
SDAT <-|PIC   |- 
SCLK <-|12F508|- 
BUT0 ->|______|<- Oscillator
```
BUT0 allows you to set the time (active low).

SDAT and SCLK control a 2x4 7segment displays via 74HC165 

### Compiling
`make` to compile code to hex file, `make burn` compile code and write out via `pk2cmd`. `make run` will also power the device via a PicKit2.

 
